package op

import (
	"testing"
)

func TestGetLatestGithubReleaseVersion(t *testing.T) {
	repoOwner := "docker"
	repoName := "compose"

	version, err := GetLatestGithubReleaseVersion(repoOwner, repoName)
	if err != nil {
		t.Fatalf("获取最新版本失败: %v", err)
	}

	if version == "" {
		t.Error("获取的版本号为空")
	}

	t.Logf("获取到的最新版本号: %s", version)
}
